Debian Bug report logs - #699002
grub: grub 2.00 in experimental may be missing kfreebsd >= 9.1 amd64 fix

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Juergen Lock <reportbug-re@jelal.kn-bremen.de>

Date: Sat, 26 Jan 2013 03:15:01 UTC

Severity: important

Tags: patch

Found in version grub2/1.98+20100804-10

Fixed in versions grub2/2.00-13, grub2/1.99-27+deb7u2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, reportbug-re@jelal.kn-bremen.de, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#699002; Package grub-common. (Sat, 26 Jan 2013 03:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Lock <reportbug-re@jelal.kn-bremen.de>:
New Bug report received and forwarded. Copy sent to reportbug-re@jelal.kn-bremen.de, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 26 Jan 2013 03:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juergen Lock <reportbug-re@jelal.kn-bremen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub: grub 2.00 in experimental may be missing kfreebsd >= 9.1 amd64 fix
Date: Sat, 26 Jan 2013 04:12:57 +0100
Package: grub-common
Version: 1.98+20100804-10
Severity: important
File: grub
Tags: patch


[This is not the version I'm reporting the bug against, I'm using a livecd
just to run reportbug...]

Hi!

 I'm not using debian kfreebsd myself here (just plain FreeBSD), but
I noticed debian now has grub 2.00 in experimental so I checked if
the bugfix patch to boot (k)freebsd >= 9.1 amd64 kernels has been
merged and it seems to me it's not.  The original thread is here:

	http://lists.freebsd.org/pipermail/freebsd-stable/2012-July/068924.html

 The pastebin link for the grub maintainer's patch in that post
expired so I meanwhile also mirrored it here:

	http://people.freebsd.org/~nox/tmp/grub2-paste_180121.patch

 The upstream grub bzr commit link is:

	http://bzr.savannah.gnu.org/lh/grub/trunk/grub/revision/4556

and the original test iso to reproduce the bug I made is here:

	http://people.freebsd.org/~nox/tmp/grub-bsdtest2.iso.xz

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-common depends on:
ii  base-files              5.10             Debian base system miscellaneous f
ii  dpkg                    1.15.8.5         Debian package management system
ii  gettext-base            0.18.1.1-3       GNU Internationalization utilities
ii  install-info            4.13a.dfsg.1-6   Manage installed documentation in 
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1      2:1.02.48-4      The Linux Kernel Device Mapper use
ii  libfreetype6            2.4.2-2.1        FreeType 2 font engine, shared lib
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages grub-common recommends:
ii  os-prober                     1.41       utility to detect other OSes on a 

Versions of packages grub-common suggests:
pn  grub-emu                      <none>     (no description available)
pn  multiboot-doc                 <none>     (no description available)
pn  xorriso                       <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#699002; Package grub-common. (Mon, 28 Jan 2013 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 28 Jan 2013 11:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 699002@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Juergen Lock <reportbug-re@jelal.kn-bremen.de>, 699002@bugs.debian.org
Subject: Re: Bug#699002: grub: grub 2.00 in experimental may be missing kfreebsd >= 9.1 amd64 fix
Date: Mon, 28 Jan 2013 11:10:04 +0000
Control: tags -1 pending

On Sat, Jan 26, 2013 at 04:12:57AM +0100, Juergen Lock wrote:
> [This is not the version I'm reporting the bug against, I'm using a livecd
> just to run reportbug...]

It's OK (and indeed encouraged) to edit the Version field manually in
such cases.

>  I'm not using debian kfreebsd myself here (just plain FreeBSD), but
> I noticed debian now has grub 2.00 in experimental so I checked if
> the bugfix patch to boot (k)freebsd >= 9.1 amd64 kernels has been
> merged and it seems to me it's not.  The original thread is here:
> 
> 	http://lists.freebsd.org/pipermail/freebsd-stable/2012-July/068924.html
> 
>  The pastebin link for the grub maintainer's patch in that post
> expired so I meanwhile also mirrored it here:
> 
> 	http://people.freebsd.org/~nox/tmp/grub2-paste_180121.patch
> 
>  The upstream grub bzr commit link is:
> 
> 	http://bzr.savannah.gnu.org/lh/grub/trunk/grub/revision/4556

Thanks.  I've backported this for my next upload to experimental.

-- 
Colin Watson                                       [cjwatson@debian.org]



Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to 699002-submit@bugs.debian.org. (Mon, 28 Jan 2013 11:12:06 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 01 Feb 2013 17:36:03 GMT) Full text and rfc822 format available.

Notification sent to Juergen Lock <reportbug-re@jelal.kn-bremen.de>:
Bug acknowledged by developer. (Fri, 01 Feb 2013 17:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 699002-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 699002-close@bugs.debian.org
Subject: Bug#699002: fixed in grub2 2.00-13
Date: Fri, 01 Feb 2013 17:33:12 +0000
Source: grub2
Source-Version: 2.00-13

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699002@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Feb 2013 15:44:25 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-emu-dbg grub-pc-bin grub-pc-dbg grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot-dbg grub-coreboot grub-efi-ia32-bin grub-efi-ia32-dbg grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64-dbg grub-efi-amd64 grub-efi-ia64-bin grub-efi-ia64-dbg grub-efi-ia64 grub-ieee1275-bin grub-ieee1275-dbg grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong-dbg grub-yeeloong grub-theme-starfield grub-mount-udeb
Architecture: source i386
Version: 2.00-13
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-coreboot-dbg - GRand Unified Bootloader, version 2 (Coreboot debug files)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-amd64-dbg - GRand Unified Bootloader, version 2 (EFI-AMD64 debug files)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-efi-ia32-dbg - GRand Unified Bootloader, version 2 (EFI-IA32 debug files)
 grub-efi-ia64 - GRand Unified Bootloader, version 2 (IA64 version)
 grub-efi-ia64-bin - GRand Unified Bootloader, version 2 (IA64 binaries)
 grub-efi-ia64-dbg - GRand Unified Bootloader, version 2 (IA64 debug files)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-emu-dbg - GRand Unified Bootloader, version 2 (emulated debug files)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-ieee1275-dbg - GRand Unified Bootloader, version 2 (Open Firmware debug files)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-pc-dbg - GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-theme-starfield - GRand Unified Bootloader, version 2 (starfield theme)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub-yeeloong-dbg - GRand Unified Bootloader, version 2 (Yeeloong debug files)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 699002
Changes: 
 grub2 (2.00-13) experimental; urgency=low
 .
   * Backport from upstream:
     - Fix booting FreeBSD >= 9.1 amd64 kernels (closes: #699002).
   * Merge from Ubuntu:
     - Stop using the /usr/share/images/desktop-base/desktop-grub.png
       alternative as the fallback background if GRUB_DISTRIBUTOR is
       "Ubuntu".
     - source_grub2.py: Use attach_default_grub from apport's hookutils.
     - Output a menu entry for firmware setup on UEFI FastBoot systems.
     - Set a monochromatic theme and an appropriate background for Ubuntu.
     - Remove "GNU/Linux" from default distributor string for Ubuntu.
     - Apply Ubuntu GRUB Legacy changes to legacy update-grub script.
     - Apply patch from Fedora to add a "linuxefi" loader which boots kernels
       with EFI handover patches, avoiding ExitBootServices.
     - Temporarily make linuxefi refuse to validate kernels in the absence of
       a shim, until we get some other details worked out.
     - Automatically call linuxefi from linux if secure boot is enabled and
       the kernel is signed, to hand over to the kernel without calling
       ExitBootServices.  Otherwise, linux will fall through to previous
       code, call ExitBootServices itself, and boot the kernel normally.
     - Generate configuration for signed UEFI kernels if available.
     - On Ubuntu amd64, add a raw-uefi custom upload tarball for signing.
     - Install signed images if available and UEFI Secure Boot is enabled.
     - Add "splash" to default boot options on Ubuntu.
Checksums-Sha1: 
 c337f13b342b8aeda02c4ce30e73fe5b8eb96b28 4455 grub2_2.00-13.dsc
 b2afad891d5ee05856129ea5289d10b51fb3e3a9 352067 grub2_2.00-13.debian.tar.gz
 c19c785a0a2febe43e19f3eba23838dff8fd1106 2512 grub2_2.00-13_i386.deb
 3f48e68f67ac44b4db49cfe47fcabd2807e81bfe 1086 grub-linuxbios_2.00-13_i386.deb
 17fd5dd8ef8e24193447c8d27eb0355dcf242c38 1100 grub-efi_2.00-13_i386.deb
 8144e261d22b791aee4f7325768326cb7565c600 2027808 grub-common_2.00-13_i386.deb
 5ecb901db8a883ebd86748cfd4f3279b88487019 115540 grub2-common_2.00-13_i386.deb
 64fa1b945142a245d0718ee2ffe55c1e8654060c 2305606 grub-emu_2.00-13_i386.deb
 5ecfbd292cf1b5dd9786b5f11bd28cb00673b0a0 1770096 grub-emu-dbg_2.00-13_i386.deb
 6a8b501c706b2eaeedd97317f44a6f924fe5ca1a 799826 grub-pc-bin_2.00-13_i386.deb
 640dd9e00d4796edf411de61af59105a7616eb6a 2310768 grub-pc-dbg_2.00-13_i386.deb
 e056a36dded8dc370d4f49a281f0d85c9ea19185 168514 grub-pc_2.00-13_i386.deb
 aa645325f3baf8618ea74f7ab374a620ac28661c 1004586 grub-rescue-pc_2.00-13_i386.deb
 8592d69c1a4b777b24a46978fa11a98587f233a0 522094 grub-coreboot-bin_2.00-13_i386.deb
 cb6fa9e9e0da1c0ad3879f2ab7891b104ba56355 2180158 grub-coreboot-dbg_2.00-13_i386.deb
 cb06409ba18ca40afa57e71b1b91e6623683f363 43450 grub-coreboot_2.00-13_i386.deb
 16f95fb8b702a333119246a96fa5f7e25d9b77cd 530608 grub-efi-ia32-bin_2.00-13_i386.deb
 ab92966d5533ab9829b191926e7da45532fa58bd 2253954 grub-efi-ia32-dbg_2.00-13_i386.deb
 6c8f8f730b6be2a763678e13351c4759d53a0619 43492 grub-efi-ia32_2.00-13_i386.deb
 1eb586f86d77346642809f46cdf91f1e38dec619 549266 grub-efi-amd64-bin_2.00-13_i386.deb
 4f808c828edd3f47bd5d7ed3f1658b1e9f86e9bc 2339108 grub-efi-amd64-dbg_2.00-13_i386.deb
 f54e4dbda3e2003d0c8d046a8874d05d9a98dfc9 43482 grub-efi-amd64_2.00-13_i386.deb
 53798f1986ff6ac55d3360e3308eac2f45a3800d 518260 grub-ieee1275-bin_2.00-13_i386.deb
 d4744f814af10354686f9c68687e4108abf2ea86 2135012 grub-ieee1275-dbg_2.00-13_i386.deb
 b67689e6c79544a7d2de133b585c5927751f3f92 43450 grub-ieee1275_2.00-13_i386.deb
 f4d6ab97673136da37da3c52002d477b8a9ee510 937500 grub-firmware-qemu_2.00-13_i386.deb
 6e1a9e5fa8bf7dade071e633f0eeef36265cc6ee 2134596 grub-theme-starfield_2.00-13_i386.deb
 e4fca6648bc51320558ec848a221e1052bf04716 323806 grub-mount-udeb_2.00-13_i386.udeb
Checksums-Sha256: 
 66881202337f2711ab14adc41d68fc1fade58b7d41916735a064326574a4ad18 4455 grub2_2.00-13.dsc
 3fbe8942ceb84d0155af0b4550828da90ad236585a3274815c05ceb4ce9c570a 352067 grub2_2.00-13.debian.tar.gz
 02bdd44d1ac178100b24d93f3aefe6fd3ded5934d4c4e2004d184831a1acf6f0 2512 grub2_2.00-13_i386.deb
 f45b9ff524ed5fb6843ebbc3770d3877f7b459e7e160455e889ff8fe84cfdc10 1086 grub-linuxbios_2.00-13_i386.deb
 3b1ab39aeaa5517f63c92958835de61c2260e41c23b73278d0c99c9aed26fc42 1100 grub-efi_2.00-13_i386.deb
 368c1ec2f860578bfcbafbb1ca9d330d966c5da2ce5a2bb4b2489ed9da839f8a 2027808 grub-common_2.00-13_i386.deb
 a5bdba30e6bbfb15488b932bb6f9591a39c2472c92fbe8fca2c91b27f9db1f5a 115540 grub2-common_2.00-13_i386.deb
 41ea33f4f57e3c38153027f1d63d423ebdcfc8ff8a16fa57cb227a7fb9b034ce 2305606 grub-emu_2.00-13_i386.deb
 22e53ab71cf9ac9b466548f3b48652ea2dc86c39543dff7a14b1753e947186c2 1770096 grub-emu-dbg_2.00-13_i386.deb
 f670587ea7a9619392c9db691d25ca4ae89bea3f82c08d650fe8e3660b5b6edc 799826 grub-pc-bin_2.00-13_i386.deb
 db439a7bbcc155a8374a94bc51385d2359e829ebb49c1da8796728a6e96b93f1 2310768 grub-pc-dbg_2.00-13_i386.deb
 ee71ae69d3e2b9bb2f5ac20f88b7c0c99ecfe4fc4a573c31769b1aa3ac320a34 168514 grub-pc_2.00-13_i386.deb
 a44ba76e270c219963ee839bbbec9b77ce630f89aefb2c90b288e76927d05b8c 1004586 grub-rescue-pc_2.00-13_i386.deb
 be98b3f34f0c0ce73105e8193ec54a0891152c725376745543b78e74e3a06729 522094 grub-coreboot-bin_2.00-13_i386.deb
 1a3fc9e678b4b06fb7230e2acbd3b65e2765be1c08ff7dc2a967d5070d8fc37a 2180158 grub-coreboot-dbg_2.00-13_i386.deb
 5e2617bbf5150c1757c44a00c544bcda47b1c5dc145635ad21258a008169c878 43450 grub-coreboot_2.00-13_i386.deb
 4f2ea54c45baa501e416ada832d9720a373815828e72cecfabded5e38ba02909 530608 grub-efi-ia32-bin_2.00-13_i386.deb
 45d4ca177dad5e5f9c181c5e76f5a08965934a55ca11118a4a1c99f8cadfa5ca 2253954 grub-efi-ia32-dbg_2.00-13_i386.deb
 1c620c1c7175db602d6342f88aa5feb6541543c3bb92414aa47857d79cf22813 43492 grub-efi-ia32_2.00-13_i386.deb
 a1cc8209f6ee9de58344e524b130ccff2f1c8b376c961d8550789f05a9a291ef 549266 grub-efi-amd64-bin_2.00-13_i386.deb
 ff21dc29c2d75f74c9621f29a6f2756454ba6704a862ca49998c7f548679891f 2339108 grub-efi-amd64-dbg_2.00-13_i386.deb
 0b79b3a56cbd74a0e08c17d7d14fd32a6aa8144d16fc2482c2ff312d51f5243e 43482 grub-efi-amd64_2.00-13_i386.deb
 8cef525509dd533261674804488303a5ad0a139f46be44902172476e6c2fdae7 518260 grub-ieee1275-bin_2.00-13_i386.deb
 6c4d1f32ac25d81d17bd459d77f72b3898e316a79c46c2696c290f8c75cb3325 2135012 grub-ieee1275-dbg_2.00-13_i386.deb
 24c559ffeaefdc2a50dc7815fe5da1d5fed2df1c781fc9811b2166a481783f5c 43450 grub-ieee1275_2.00-13_i386.deb
 8ecbace08d14c3cf116e9fca3a40f3d69e35eda8dd3bc2bd104cd83e195e847a 937500 grub-firmware-qemu_2.00-13_i386.deb
 03c44c35fa14d4b8cc5977202e582dfdbd3656956b8ee95c0bc115f345d2a0c3 2134596 grub-theme-starfield_2.00-13_i386.deb
 28b3ba82ce4160b3f54500ab481dde9b107b20dfdb5fe1de1e78e324069ee31c 323806 grub-mount-udeb_2.00-13_i386.udeb
Files: 
 621d0ae3c384b175340fbd92c491c8ed 4455 admin extra grub2_2.00-13.dsc
 a4561edaa3f0d3130ed27d38143a2308 352067 admin extra grub2_2.00-13.debian.tar.gz
 5fe80d6f2b8a21322e4c8c0204ad85d6 2512 oldlibs extra grub2_2.00-13_i386.deb
 2fcd1a2acbcb822cc1f1ec21e458e987 1086 oldlibs extra grub-linuxbios_2.00-13_i386.deb
 af017b11f35af707456ed0999e7e0f4c 1100 oldlibs extra grub-efi_2.00-13_i386.deb
 c22e0a832e529eba91d537a60bb202b3 2027808 admin optional grub-common_2.00-13_i386.deb
 0a7229b55ee5fbe0ecd209810908f3ea 115540 admin optional grub2-common_2.00-13_i386.deb
 91f88f5c18ab982ae8256b917778aefc 2305606 admin extra grub-emu_2.00-13_i386.deb
 ec1227bc8396615b3e25b3293ff3fca4 1770096 debug extra grub-emu-dbg_2.00-13_i386.deb
 9be3c52d65f1330da9b4d8d8da676ba3 799826 admin optional grub-pc-bin_2.00-13_i386.deb
 5873b86ff24c0ebdec1423ca11cba35a 2310768 debug extra grub-pc-dbg_2.00-13_i386.deb
 c53a5ef35d01fd1a3475b267963e209b 168514 admin optional grub-pc_2.00-13_i386.deb
 b1b6292a7ac9280d77a374c3250e0d29 1004586 admin extra grub-rescue-pc_2.00-13_i386.deb
 bdaf9da7b94e480d3258a47805c4e465 522094 admin extra grub-coreboot-bin_2.00-13_i386.deb
 2aff82e9f26ff5e55e66462adaf676e9 2180158 debug extra grub-coreboot-dbg_2.00-13_i386.deb
 48245d6be5a50587bbe60009e3cc1b2e 43450 admin extra grub-coreboot_2.00-13_i386.deb
 726890b5d7da0a566eed2daaf87a98d1 530608 admin extra grub-efi-ia32-bin_2.00-13_i386.deb
 12d781215f255a07384e9af28b43cdab 2253954 debug extra grub-efi-ia32-dbg_2.00-13_i386.deb
 c773863c37a6f26f60feb4785254943a 43492 admin extra grub-efi-ia32_2.00-13_i386.deb
 37a09907f13d884401ae3be10ee76797 549266 admin extra grub-efi-amd64-bin_2.00-13_i386.deb
 462deeccfe31736d9971bd68188df868 2339108 debug extra grub-efi-amd64-dbg_2.00-13_i386.deb
 747df2fd48f3808cceedc77c380d52de 43482 admin extra grub-efi-amd64_2.00-13_i386.deb
 770d76cba6c8fb16bad78dcef0661705 518260 admin extra grub-ieee1275-bin_2.00-13_i386.deb
 250abc6bb592a716cd3892e8a4591996 2135012 debug extra grub-ieee1275-dbg_2.00-13_i386.deb
 bcacfd6bf1fb1e639ecd0b1283c0c667 43450 admin extra grub-ieee1275_2.00-13_i386.deb
 afecc0ee9114c4ac0e2fda5f86d85861 937500 admin extra grub-firmware-qemu_2.00-13_i386.deb
 aee97ef7cd0ff1cb4a6ce64ba73bfbb3 2134596 admin extra grub-theme-starfield_2.00-13_i386.deb
 a86f0a8c4bccd6379a9460a32a716466 323806 debian-installer extra grub-mount-udeb_2.00-13_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUQv2LTk1h9l9hlALAQjFjw/9Gurro9E2ZvIDSZmI3TtGR9e/XtmXajgk
d7Izovcc68++JDwvDGIui/EW4JCNduWTkiFjI9MkNG2lm1DLOfX3l3j5z9yoJh8v
OEetzA73rWZRaVID+iRPOSnb6gfr6vNuJKLmuJF+fvLzxz0Ok3MsZDl8OMmP09u0
iuKedRw+UKLGMUkNG4aseZmwyIAsmiFteLgL453b/UdEHvXa2o35wLPCn3C23VRF
B4HaWsUfzCmafvdUqKA4U510HWK/km4ElUEMwyGBNIWbwhVYt3/p/72qX607mPPM
2vQXcoJgWhsRdD9v1tH+hVeej2rqD5cQOubBMjFtNmIxeUYCTjxGYsfsUZC4Gk4R
EwAAWCcY6Ex6aSBSvQoehqz1AOHHEBENYKSPr+CDMBp+1RXXOotChDg5aQn1fXx7
++mBwdlArgpZkmn/GFANLAN3Pu0lg5MEkUd5JHp7d+TjdvP59E3b1knXyNrC9pZZ
CfvlAVfmqH/ZtQPsh0f4/an3hEp0k1sLMs5jOug83zN+P9AM9vxHc0MdB/FOU+XZ
Me7pL05yJVYxBD2JnJVhrBqVMZIurE9ySBPRaxKYPoob6i9qVEQXeb2WLg7KAWaJ
ZhJ84Mx8PcPgBSMKUP99POy4Z76LUMqNVMhXg01E5xOrhp157IbJOxHVGmQ+CbL3
vsuF4A9PsJE=
=2mnf
-----END PGP SIGNATURE-----




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 02 Jul 2013 22:21:21 GMT) Full text and rfc822 format available.

Notification sent to Juergen Lock <reportbug-re@jelal.kn-bremen.de>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 22:21:21 GMT) Full text and rfc822 format available.

Message #22 received at 699002-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 699002-close@bugs.debian.org
Subject: Bug#699002: fixed in grub2 1.99-27+deb7u2
Date: Tue, 02 Jul 2013 22:17:06 +0000
Source: grub2
Source-Version: 1.99-27+deb7u2

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699002@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Jul 2013 19:36:21 +0200
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-pc-bin grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot grub-efi-ia32-bin grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64 grub-ieee1275-bin grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong grub-mount-udeb
Architecture: source kfreebsd-amd64
Version: 1.99-27+deb7u2
Distribution: stable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 699002
Changes: 
 grub2 (1.99-27+deb7u2) stable; urgency=low
 .
   * Backport from upstream:
     - Fix booting FreeBSD >= 9.1 amd64 kernels (closes: #699002).
Checksums-Sha1: 
 94ce9fe4e529d0f48df60b02906e52c615f84ac9 3092 grub2_1.99-27+deb7u2.dsc
 48acccbae378e83793f3d49483c032acdb4be39d 423367 grub2_1.99-27+deb7u2.diff.gz
 0589612458bc13bdb1c9ad9326d9f56a0c7f47cf 2510 grub2_1.99-27+deb7u2_kfreebsd-amd64.deb
 7beb188ff3243591505db1a28c1f02bed6259138 1096 grub-linuxbios_1.99-27+deb7u2_kfreebsd-amd64.deb
 465db69512031892372a95dfe0a21ccc16db5cf8 1108 grub-efi_1.99-27+deb7u2_kfreebsd-amd64.deb
 8e067649d8b6eae9f39ad0bc2be8435e5267a9d4 1502836 grub-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 e02372e2279dbdcdcf92c7d210bab0e3a5d9a1f9 94324 grub2-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 612da33b6d06bc581b2c4db34f27f43fccc97237 1737918 grub-emu_1.99-27+deb7u2_kfreebsd-amd64.deb
 696bf903fff642af6ceea669ff51cb64ba9af225 634002 grub-pc-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 4888a4561c0c4543774b2f3261f2c46671aad418 170410 grub-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 213ade86c5dc72e912eb185ff9ba721ac92ccef5 822686 grub-rescue-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 9cc6055099c9224030f110e79fc7d580db44fdf7 447876 grub-coreboot-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 546b70f35382fb0eb989872dc1fbf2ca7858faac 45444 grub-coreboot_1.99-27+deb7u2_kfreebsd-amd64.deb
 b93cc0df1b9f8f827fc800985413098a8f9572bb 456236 grub-efi-ia32-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 db2ab4aa076db31404f3fe6bf5dc2f5e92f1aa79 45540 grub-efi-ia32_1.99-27+deb7u2_kfreebsd-amd64.deb
 a31a463e23278ff9c3d7d99df54fa65671bfb597 475760 grub-efi-amd64-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 b614fdec3b4bf5f2f993fe5c0880517cc710d0ba 45108 grub-efi-amd64_1.99-27+deb7u2_kfreebsd-amd64.deb
 0bfe25ad1e92218ccdb5220e3149c5a924064d3f 446220 grub-ieee1275-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 9391ff1609e4a2073c30efd545f8334f1201f13b 45500 grub-ieee1275_1.99-27+deb7u2_kfreebsd-amd64.deb
 89ea3e9ba232e060a1fee37a008316caa22cd77c 761286 grub-firmware-qemu_1.99-27+deb7u2_kfreebsd-amd64.deb
 7b0295b02379b8f4b2c2d99527f6a4840661db90 165836 grub-mount-udeb_1.99-27+deb7u2_kfreebsd-amd64.udeb
Checksums-Sha256: 
 b379fd5bf56b943b0cf0c94373041b072784b26dd172ad96cafe1d0e3f4c47c3 3092 grub2_1.99-27+deb7u2.dsc
 87944e5eb3d51b8507b4d761119cfb7d15af760d25a86449f4c6f9ffc47b903a 423367 grub2_1.99-27+deb7u2.diff.gz
 9aec04137601da5e45ca9272c782eb40412ea002f80f921fb9f9c11484694c7f 2510 grub2_1.99-27+deb7u2_kfreebsd-amd64.deb
 cb291298a9d3f3a23b9cdd38a1a858bf0083029ff49d93b4073ad204a640851a 1096 grub-linuxbios_1.99-27+deb7u2_kfreebsd-amd64.deb
 2cf1d17b29f3b88acf35209c3151c29633c0e7ad53412076eb2971297712d07e 1108 grub-efi_1.99-27+deb7u2_kfreebsd-amd64.deb
 0c428780891aeaecbb0370119b0cd6bfd7f2a0c4c11df4b79f32a280f5b517a6 1502836 grub-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 c4133255b2bb554e48bbaf39e65c1978d72e64b9f7cb28e93d8ac9e520f1d114 94324 grub2-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 08a75b07760ada139e58fce25e5963c601baf4d41b209d921bbd9f435c6e1b33 1737918 grub-emu_1.99-27+deb7u2_kfreebsd-amd64.deb
 24ebb5ebbd6c936bab5502427923184ba12cba10d41cb415e02baafd4073573d 634002 grub-pc-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 8cac9fde551767b1548b06f3d83e58bc2e63b512ffadd92052020e6711d538e4 170410 grub-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 e5dabb565d1c63402750eecfcfc49ad4cce5dc1d303fec715590ad5c105b85cd 822686 grub-rescue-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 60e30b631a8707bceeb7a4a77bc469a34d1ef63c5d7d87e3d2c7ccc365289429 447876 grub-coreboot-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 ef4c2700ccc94f84b89fdc1f1b77ee5244985bf40230d1d5259f831bf36fcd7d 45444 grub-coreboot_1.99-27+deb7u2_kfreebsd-amd64.deb
 76f3713dbb4677178506c025ba4371e5d4a53683ffec61016babfea07c0beecb 456236 grub-efi-ia32-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 9636ae6a84c403ef3ac831edd7f0211b5ca2be1fba81de4d46774266f8a1e02c 45540 grub-efi-ia32_1.99-27+deb7u2_kfreebsd-amd64.deb
 5e10eadf2841646394e23bf76cefe6b3536359e8d755a9d026516571eeccb5ad 475760 grub-efi-amd64-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 bef4b567b2337a2620859652f9d48da1aa4af9d690bddf34aba9dba36894f48a 45108 grub-efi-amd64_1.99-27+deb7u2_kfreebsd-amd64.deb
 9dfd9efa6a98c596584f30917e7b6786be75015e035f334775bc944860b0e679 446220 grub-ieee1275-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 63f758f2f392e7f5ab4cc81266d4526e2d354994e8847a10dde9d1f6523fa4f8 45500 grub-ieee1275_1.99-27+deb7u2_kfreebsd-amd64.deb
 a65c3d3802c7ac9338d9ff6da33c04f0cdc2be68b8df1d509eda3358908cf018 761286 grub-firmware-qemu_1.99-27+deb7u2_kfreebsd-amd64.deb
 6e9b8d2cc48bffba823648fe2278296f6f4f740d553f698dbd50584eb5190b44 165836 grub-mount-udeb_1.99-27+deb7u2_kfreebsd-amd64.udeb
Files: 
 f1f9228388bc9c9798735feb68208244 3092 admin extra grub2_1.99-27+deb7u2.dsc
 c66b69e2814a58dd5ee7af8d114b6104 423367 admin extra grub2_1.99-27+deb7u2.diff.gz
 a441ee120bb3d57e230a2eb05de3819b 2510 admin extra grub2_1.99-27+deb7u2_kfreebsd-amd64.deb
 1b69c187c7fa420532a773b75e68da77 1096 admin extra grub-linuxbios_1.99-27+deb7u2_kfreebsd-amd64.deb
 3c4740923ccf9c49b91e020f1599b774 1108 admin extra grub-efi_1.99-27+deb7u2_kfreebsd-amd64.deb
 97e6eb46d79741df3d00ec33e43c4c89 1502836 admin optional grub-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 55afb031cd1e51009ecfba5bbf988ab6 94324 admin optional grub2-common_1.99-27+deb7u2_kfreebsd-amd64.deb
 d7ea0aca7b234dc0e19a156c31ce5f8f 1737918 admin extra grub-emu_1.99-27+deb7u2_kfreebsd-amd64.deb
 8e32b1c561f85725e1d89650ec6e4008 634002 admin optional grub-pc-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 4b04950e484cff67fba66cfc076596a2 170410 admin optional grub-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 b0f2184075e7e7790f8aca5692cbda25 822686 admin extra grub-rescue-pc_1.99-27+deb7u2_kfreebsd-amd64.deb
 4a39753104567348b445c4a72db859a2 447876 admin extra grub-coreboot-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 bfa2e891ca49c8a8c9600a9cdd81d41f 45444 admin extra grub-coreboot_1.99-27+deb7u2_kfreebsd-amd64.deb
 3bcb10d34bd0c9364ae8c69f76919853 456236 admin extra grub-efi-ia32-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 ee3d9837cfae4539f594dd056c747271 45540 admin extra grub-efi-ia32_1.99-27+deb7u2_kfreebsd-amd64.deb
 a382c4f799817d65cf353138da75396a 475760 admin extra grub-efi-amd64-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 812d8a42dca470b2d7dcc76ce8d03b89 45108 admin extra grub-efi-amd64_1.99-27+deb7u2_kfreebsd-amd64.deb
 5410883d140a48f57f09fb9b1f994a30 446220 admin extra grub-ieee1275-bin_1.99-27+deb7u2_kfreebsd-amd64.deb
 a08cd8a548d47a9ccdae4101c62f59b7 45500 admin extra grub-ieee1275_1.99-27+deb7u2_kfreebsd-amd64.deb
 b85e964b5021126b3e31e6557970480b 761286 admin extra grub-firmware-qemu_1.99-27+deb7u2_kfreebsd-amd64.deb
 2365ad4f0714cfacc69e8dac234a7278 165836 debian-installer extra grub-mount-udeb_1.99-27+deb7u2_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAlHR6TgACgkQC19io6rUCv+B7ACfTP+RjMj0momjdto+g+8ZrG4w
oT0AnjxjrTS6boNAfX+WgNHRb8THG4z3
=isZ8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Oct 2013 07:25:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:04:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.